import { CompletionItem, CompletionItemKind, Hover, SignatureHelp } from 'vscode-languageserver';
declare class Builtin {
    constructor();
    private vimPredefinedVariablesItems;
    private vimOptionItems;
    private vimBuiltinFunctionItems;
    private vimBuiltinFunctionMap;
    private vimCommandItems;
    private vimMapArgsItems;
    private vimFeatureItems;
    private vimAutocmdItems;
    private expandKeywordItems;
    private colorschemeItems;
    private highlightArgKeys;
    private highlightArgValues;
    private vimBuiltFunctionSignatureHelp;
    private vimBuiltFunctionDocuments;
    private vimOptionDocuments;
    private vimPredefinedVariableDocuments;
    private vimCommandDocuments;
    private vimFeatureDocuments;
    private expandKeywordDocuments;
    init(): void;
    getPredefinedVimVariables(): CompletionItem[];
    getVimOptions(): CompletionItem[];
    getBuiltinVimFunctions(): CompletionItem[];
    isBuiltinFunction(label: string): boolean;
    getExpandKeywords(): CompletionItem[];
    getVimCommands(): CompletionItem[];
    getVimMapArgs(): CompletionItem[];
    getVimFeatures(): CompletionItem[];
    getVimAutocmds(): CompletionItem[];
    getColorschemes(): CompletionItem[];
    getHighlightArgKeys(): CompletionItem[];
    getHighlightArgValues(): Record<string, CompletionItem[]>;
    getSignatureHelpByName(name: string, idx: number): SignatureHelp | undefined;
    getDocumentByCompletionItem(params: {
        label: string;
        kind: CompletionItemKind;
    } | CompletionItem): CompletionItem | undefined;
    getHoverDocument(name: string, pre: string, next: string): Hover;
    private start;
    private formatVimDocument;
    private resolveMapArgs;
    private resolveColorschemes;
    private resolveHighlightArgKeys;
    private resolveHighlightArgValues;
}
export declare const builtinDocs: Builtin;
export {};
